Author Topic: Latest version of FFx not compatable with previous rdf file . . .  (Read 1289 times)

LkonKbd

  • Guest
Did an update of FFx on my laptop and have lost all of my Passwords on that computer.  How are the settings saved in the NEW system, using an RDF file?  If so do I just copy over from my desktop to my laptop or because of titles being changed will it require a creating a full new copy of the RDF file?

To keep from loosing them on my desktop and stalling the update . . the next FFx version should be 57.x

Offline Miquel 'Fire' Burns

  • Administrator
  • *****
  • Posts: 1151
  • Programmer
    • http://www.miquelfire.com/
Re: Latest version of FFx not compatable with previous rdf file . . .
« Reply #1 on: December 06, 2017, 01:34:32 AM »
The way Firefox 57 extensions work, they don't support RDF files. The most you can hope for is if it has an import function in which you paste the contents in a textbox somewhere.
"I'm not drunk, just sleep deprived."

LkonKbd

  • Guest
Re: Latest version of FFx not compatable with previous rdf file . . .
« Reply #2 on: December 06, 2017, 11:07:20 PM »
Senior Miquel 'Fire' Burns,

Thank you very much for this reply.  Have had an issue with my desktop CPU for the last three (3) months and just managed to solve that issue last Monday, not within my computer but a 'router' issue, replaced same and solved that issue.  While my desktop was down attempted to use my laptop for doing some online work, FireFox was automaiticly updated to v57.0 (64-bit) and lost all of my passwords on my laptop.  Now have regained my desktop and now have an issue with my laptop and 'Password Maker' not installing the passwords as required.  Using my desktop at this time because the passwords do not seem to be entered correctly upon  my laptop.

Am using the exact same Master Password on both systems.  Also visually copied the same passwords from my desktop to my laptop entering them within the fields "Password prefix" and "Password suffix" yet they are not being acknowledged by the websites I have visited including Password Maker's Forums, the password is just not being accepted.  This is only on my laptop.  FF is as stated above for my laptop while my desktop is still on v56.0 (32-bit).  Do not want to update my desktop until maybe solve this difference.  Any ideas? 

My new email client, "Thunder Bird" is having issues with my password to my ISP for downloading my email at this time.  Will need to check back here when possible to see if there is some data for me. 

The way Firefox 57 extensions work, they don't support RDF files. The most you can hope for is if it has an import function in which you paste the contents in a textbox somewhere.

Offline Miquel 'Fire' Burns

  • Administrator
  • *****
  • Posts: 1151
  • Programmer
    • http://www.miquelfire.com/
Re: Latest version of FFx not compatable with previous rdf file . . .
« Reply #3 on: December 06, 2017, 11:49:41 PM »
There are multiple settings you will need to check beside the prefix and suffix.
"I'm not drunk, just sleep deprived."

LkonKbd

  • Guest
Re: Latest version of FFx not compatable with previous rdf file . . .
« Reply #4 on: December 07, 2017, 12:52:54 AM »
Senior Miquel 'Fire' Burns,

I am well aware of the settings, have duped them in my laptop.  The created password is NOT the same using the exact same settings even by placing half of the password in each of those '.. prefix' and '..suffix' boxes it is still not being placed within the password field even with the courser in the proper field.

Have removed the password halves from those two (2) boxes and still the password is very different than what it should be.  Even using the "Copy" icon the full password is not copied, testing to my TXT file it is only three (3) characters and should be at least twenty (20).

I have also attempted to login to my ISP's website and even with the '... prefix' and '... suffix' filled with the proper password it will not allow me to login.  Have also discovered to get it to place anything in the proper field you need to click the 'Copy' icon and then the 'Paste' icon yet it still is not using the password, still only those same three (3) characters.

Edited by LkOnKbd:
Just discovered the COPY icon is there to move the password to the proper field, but; is not the same.  Only three (3) characters and they are not even a part of the required password.  The Generated Password when clicking on the 'Gold Ring' and hovering my mouse over it to display is the correct one needed.

Again, Edited by LkOnKbd:
Even when I input the password from my desktop, typed in, it still will not allow me to login using my laptop.  Now I a little bit unsure if I ever update desktop FFx will it ever allow me to login on any of my password sites?

There are multiple settings you will need to check beside the prefix and suffix.
« Last Edit: December 07, 2017, 03:08:28 AM by LkOnKbd »

LkonKbd

  • Guest
Re: Latest version of FFx not compatable with previous rdf file . . .
« Reply #5 on: December 15, 2017, 10:42:49 PM »
Senior Miquel 'Fire' Burns,
Still working with the new FF v57.x attempting to get Password Maker to work for me.  So far not successful, will this require re-establishing all of my passwords using the new version? 

Have attempted to 'Expoort' to a HTML file, nothing saved, also attempted to an RDF files as well without any success.  Am I to do this operation manually(?) one at a time and have reduced the number to 104 total in 25 groups or is there andother method?
Thank you for reading my message

Offline Miquel 'Fire' Burns

  • Administrator
  • *****
  • Posts: 1151
  • Programmer
    • http://www.miquelfire.com/
Re: Latest version of FFx not compatable with previous rdf file . . .
« Reply #6 on: December 16, 2017, 01:25:30 AM »
How are you "exporting"?

Last I checked, other versions of PasswordMaker that supported importing the RDF file normally required you to open the RDF file in a text editor, then copy and paste the content into a textbox in the extension.

As I haven't been using it myself, I haven't had a reason to look for a compatible version.
"I'm not drunk, just sleep deprived."

LkonKbd

  • Guest
Re: Latest version of FFx not compatable with previous rdf file . . .
« Reply #7 on: December 16, 2017, 02:17:45 AM »
Senior Miquel 'Fire' Burns,

If you can remember, I have been with and using "PM" for many years.  I am using the v1.7.8 in FF v56.0 32bit on my desktop within Win7 Professional SP1 64bit with all of the latest updates.

This version of "PM" under Menu/Files/Import settings/Export settings/Print settings yet when attempting to use either the "Export" or the "Print" nothing takes place.  Am  trying to move my settings for my extensive collection of passwords to a TXT file so maybe they can be used in my laptop as well.

What you mention in your post about the RDF file being copy/pasted into a TXT box of Password Maker addon seems to NOT work. I am wanting to do the reverse of this operation so maybe it can be transferred to FF v57.0 and the newer version of Password Maker.  Otherwise these 104 passwords will need be all redone, manually, for this new version of FF.

LkonKbd

  • Guest
Re: Latest version of FFx not compatable with previous rdf file . . .
« Reply #8 on: December 17, 2017, 02:29:27 PM »
"Senior Miquel 'Fire' Burns,'

I have been working with "Password Maker-X by emersion," or something like that.  Have the "Password Maker Pro" on my desktop and have done the copy/paste into a TXT file of the 'RDF' and did the 'Import' thingy and have a very long list of passwords, approx. 280, and some thing I did has placed a password into 'Selected Profile:' that is not wanted; to be deleted.  How do I remove any that are not wanted?

Also, this is being done from my LapTop, have gotten your password to your forums to work on this machine.  Have been avoiding the update to my desktop until today, it updated against my wishes.  Have other issues to contend with, not related to PM'r.

Edited by: LkOnKbd,

May we select specific passwords to be imported and ignore others?
« Last Edit: December 17, 2017, 03:31:50 PM by LkOnKbd »

LkonKbd

  • Guest
Re: Latest version of FFx not compatable with previous rdf file . . .
« Reply #9 on: December 17, 2017, 06:26:29 PM »
"Miquel 'Fire' Burns,'

Cannot get this Password Maker Pro to duplicate the password for your site.  Will be out of pocket for a period of time, not sure how long.  May need to transfer back to the PasswordMaker X it is much more simple to use, IMHO!

Edited by: LkOnKbd,
Well it seems the above referenced is tooo simple.  Back with the "PasswordMaker Pro" for more testing.  Which are you suporin here or neither one?  Am I confused?
« Last Edit: December 17, 2017, 09:34:27 PM by LkOnKbd »

LkonKbd

  • Guest
Re: Latest version of FFx not compatable with previous rdf file . . .
« Reply #10 on: December 24, 2017, 02:09:25 PM »
"Miquel 'Fire' Burns,'

Am back on the 'PasswordMaker Pro' AND still not having any luck with the import of the RDF.  My Firefox has been updated to the latest version 57.0.2 and that has not been any HELP!  The Master Password is NOT matching' the profiles are not being shown to make a selection; cannot remove any profile/profiles that are not to be used in this new setup.

Which version are you supporting any way?

Edited by LkOnKbd corrected the spelling of "proviles" to "profiles" thank you for reading my post!  Also realize most of our problems are with the Mozilla FireFox Team doing the programing.
« Last Edit: December 28, 2017, 04:59:30 PM by LkOnKbd »

LkonKbd

  • Guest
Re: Latest version of FFx not compatable with previous rdf file . . .
« Reply #11 on: December 28, 2017, 05:18:08 PM »
'Miquel Fire Burns,',

Had to remove Fire
Fox and all folders and use a different install program and now have FFv57.0.2 with PasswordMaker Pro v0.8.5.2 AND still any import of the 'RDF' shows up and when saved NOTHING shows when using the GOLD RING to to do the input of Master Password and other entries in the POPUP box nor under "OPTIONS" only 1. Default and 2. Alphanumeric are the only items to select from.  NONE that I saved show plus when completely redoing any single webpage I need to login show as being done AND SAVED yet when using said creation that was saved there is NOTHING there.  Only the two (2) numbered above.

LkonKbd

  • Guest
Re: Latest version of FFx not compatable with previous rdf file . . .
« Reply #12 on: January 01, 2018, 02:37:37 PM »
My understanding of your responses here tells me you DO NOT support the "Password Maker Pro" that is now being used in FF v57.0.3, latest version.  Am I correct?

Offline Miquel 'Fire' Burns

  • Administrator
  • *****
  • Posts: 1151
  • Programmer
    • http://www.miquelfire.com/
Re: Latest version of FFx not compatable with previous rdf file . . .
« Reply #13 on: January 01, 2018, 05:40:03 PM »
I, myself, don't support any Password Maker product. I just support the web site now.
"I'm not drunk, just sleep deprived."

PasswordMaker Forums

Re: Latest version of FFx not compatable with previous rdf file . . .
« Reply #13 on: January 01, 2018, 05:40:03 PM »

 

anything